#if !defined(AFX_PROPERT_HPP)
#define AFX_PROPERT_HPP

#include "camresrc.h"

/////////////////////////////////////////////////////////////////////////////
// Properties dialog

class Properties : public CDialog
{
// Construction
public:
	Properties(Camera* p_oCamera,CWnd* pParent = NULL);   // standard constructor

	BOOL WantToOpenCompleteProperties() {return m_bWantToOpenMore;};
	void DoUpdate();


private:

	BOOL UpdateTransRadioButtons(float fTransValue = -1);
	BOOL UpdateRotRadioButtons(float fVRotValue = -1);
	void UpdateRotText();
	void UpdateTransText();

public:

// Dialog Data
	//{{AFX_DATA(Properties)
	enum { IDD = IDD_PROPERTIES };
	int		m_iRotationAxis;
	int		m_iTranslationAxis;
	int		m_iRotationStep;
	CString	m_csRotationValue;
	CString	m_csTranslationValue;
	int		m_iTranslationStep;
	BOOL	m_bPrivilegeMode;
	//}}AFX_DATA

private:

	float			m_fTransValue;
	float			m_fRotValue;
	tdeAxisSystem	m_eRotationAxis;
	tdeAxisSystem	m_eTranslationAxis;
	BOOL			m_bWantToOpenMore;

	Camera	*m_p_oCamera;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(Properties)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(Properties)
	virtual BOOL OnInitDialog();
	afx_msg void OnKillfocusTransvalue();
	afx_msg void OnKillfocusRotvalue();
	afx_msg void OnRbRotationStep();
	afx_msg void OnRbTranslationStep();
	virtual void OnOK();
	afx_msg void OnBtMore();
	afx_msg void OnChkPrivilege();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPERT_HPP__23B05615_BFC3_11D0_BE2B_00609775AC86__INCLUDED_)
